AsterNet Class Library (Sandcastle documentation)

| LoginAction Constructor (String, String, String, String)

Creates a new LoginAction that performs a login via challenge/response.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public LoginAction(
    	string username,
    	string authType,
    	string key,
    	string events
    )

    Public Sub New (
    	username As String,
    	authType As String,
    	key As String,
    	events As String
    )

    public:
    LoginAction(
    	String^ username,
    	String^ authType,
    	String^ key,
    	String^ events
    )

    new :
            username : string *
            authType : string *
            key : string *
            events : string -> LoginAction

#### Parameters

username
  Type: System
  String
  the username as configured in Asterisk's manager.conf
authType
  Type: System
  String
  the digest alogrithm, must match the digest algorithm that was used with the corresponding ChallengeAction.
key
  Type: System
  String
  the hash of the user's password and the challenge
events
  Type: System
  String
  the event mask.
  Set to "on" if all events should be send, "off" if not events should be sent or a combination of "system", "call" and "log" (separated by ',') to specify what kind of events should be sent.

See Also

#### Reference

LoginAction Class
LoginAction Overload
AsterNET.Manager.Action Namespace